API ReferenceTools

Generate tool inputs from natural languagev3.0

POST
/api/v3/tools/execute/{tool_slug}/input

Uses AI to translate a natural language description into structured arguments for a specific tool. This endpoint is useful when you want to let users describe what they want to do in plain language instead of providing structured parameters.

Authorization

ApiKeyAuth
x-api-key<token>

Project API key authentication

In: header

Path Parameters

tool_slugstringRequired

The tool slug to generate inputs for

Request Body

application/json

textstringRequired

Natural language description of what you want to accomplish with this tool

custom_descriptionstring

Custom description of the tool to help guide the LLM in generating more accurate inputs

system_promptstring

System prompt to control and guide the behavior of the LLM when generating inputs

versionstring

Tool version to use when generating inputs. Defaults to the pinned version ("00000000_00") when omitted.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3/tools/execute/string/input" \  -H "Content-Type: application/json" \  -d '{    "text": "I need to trigger the main workflow in the octocat/Hello-World repository to deploy to production"  }'
{  "arguments": {    "repository": "octocat/Hello-World",    "workflow_id": "main.yml",    "ref": "main",    "inputs": {      "environment": "production"    }  },  "error": "Unable to determine the repository name from the provided description"}